About this Help file

This Help file contains topics integrated into the main Windows Help and is not meant for browsing. For overviews of features and help with specific tasks, click Start, and then click Help and Support.


Device Manager Error Codes Troubleshooter

What problem are you having?

I receive Device Manager error code 3.
I receive Device Manager error code 10.
I receive Device Manager error code 12. Or, I need to resolve a hardware conflict on my computer.
I receive Device Manager error code 16.
I receive Device Manager error code 19.
I receive Device Manager error code 24.
I receive Device Manager error code 28.
I receive Device Manager error code 29.
I receive Device Manager error code 31.
I receive Device Manager error code 33.
I receive Device Manager error code 34.
I receive Device Manager error code 35.
I receive Device Manager error code 36.
I receive Device Manager error code 38.
I receive Device Manager error code 41.
I receive Device Manager error code 42.
I receive Device Manager error code 47.

Allow Automatic Sniffing?


Generic Hardware Device Troubleshooter

What problem are you having?

I'm having a problem with my hardware device.

Allow Automatic Sniffing?


Infrared Device Troubleshooter

What problem are you having?

I'm having a problem connecting to an infrared device.

Allow Automatic Sniffing?


Keyboard Troubleshooter

What problem are you having?

I'm having a problem with my keyboard.

Allow Automatic Sniffing?


Mouse Troubleshooter

What problem are you having?

I'm having a problem with my mouse.

Allow Automatic Sniffing?


Network Adapter Troubleshooter

What problem are you having?

My network adapter doesn't work.

Allow Automatic Sniffing?


Tape Drive Troubleshooter

What problem are you having?

I'm having a problem with a tape drive or a backup program.

Allow Automatic Sniffing?


DVD Troubleshooter

What problem are you having?

I do not hear any sound, or I receive a message about audio.
I am having a problem using closed captioning or subtitles.
When I try to play DVD, nothing happens.
When I play a DVD, the video is choppy.
I receive a message about analog copy-protection.
I receive a message about my screen resolution and color quality settings.
I receive a decoder error message.
I receive a message about digital copy protection.
When I play a DVD, the screen is black, or there is some other display problem.
I receive a region error message.
I receive a video error message.

Allow Automatic Sniffing?


Video Display Troubleshooter

What problem are you having?

I receive the following message: "Display problems. This program can't continue."
My display flickers or is garbled.
I cannot install my monitor.
I am having a problem with the multiple monitor feature.
Videos or animations do not work correctly.
I cannot set the video resolution above 640 × 480 with 16 colors.

Allow Automatic Sniffing?


Drives and Network Adapters Troubleshooter

What problem are you having?

My CD-ROM or DVD-ROM drive does not work.
I am having a problem with a hard disk drive or floppy disk drive.
My network adapter does not work.
I am having a problem with a tape drive or a backup program.

Allow Automatic Sniffing?


Games and Multimedia Troubleshooter

What problem are you having?

I am having a problem with a Universal Serial Bus (USB) device.
I am having a problem installing DirectX.
Since I installed my game or multimedia program, Windows starts only in safe mode.
My DirectX, multimedia, or game program has stopped responding.
I am experiencing video problems. Or, I receive messages about DirectDraw.
I am having a problem with a joystick or another game device.
I see a black screen or black patches around the pointer. Or, the pointer leaves old images of itself behind.
Something is wrong with the sound on my computer.
I have a problem when I try to play a digital video disc (DVD).
I receive the following message: "Set Display Mode: DDERR_GENERIC".

Allow Automatic Sniffing?


Hardware Troubleshooter

What problem are you having?

I'm having a problem with a hard or floppy drive, or a CD-ROM or DVD-ROM drive.
I'm having a problem with a network adapter.
I'm having a problem with an input device, such as a mouse, keyboard, camera, scanner, or infrared device.
I'm having a problem with a game controller.
I'm having a problem with a Universal Serial Bus (USB) device.
I'm having a problem with a display adapter.
I'm having a problem with a modem.
I'm having a problem with a sound card.
I need to resolve a hardware conflict on my computer.

Allow Automatic Sniffing?


Networking Troubleshooter

What problem are you having?

I'm having problems sharing an Internet connection.
I'm having problems sharing files or printers.
I'm having problems with my modem or with dial-up networking.
I need setup information for my home or small office network.

Allow Automatic Sniffing?


Internet Connection Sharing Troubleshooter

What problem are you having?

I cannot receive e-mail on an Internet Connection Sharing client computer.
My Internet Connection Sharing client or host computer dials out without notifying me.
Internet Connection Sharing doesn't autodial.
I need setup information for Internet Connection Sharing.
My digital subscriber line (DSL) or cable modem Internet connection is slow.
I cannot browse the Internet from an Internet Connection Sharing host computer.
I cannot browse the Internet from an Internet Connection Sharing client computer.

I want the troubleshooter to investigate settings on this computer.


Internet Explorer Troubleshooter

What problem are you having?

I receive a "The page cannot be displayed" message. Or, I have some other problem that keeps me from viewing Web pages.
I have difficulty downloading files from the Internet.
I receive an "Internal Page Fault in MSHTML.DLL" message.
My favorites don't appear on the Favorites menu.
I get a message when I try to type an address in the Address bar.
Internet Explorer prints blank pages or prints only the header and footer of a page, or these problems appear in Print Preview.
I cannot modify the toolbars in Internet Explorer.
My computer stops responding while I'm scrolling through a Web page.

I want the troubleshooter to investigate settings on this computer.


Input Devices Troubleshooter

What problem are you having?

I am having a problem with my camera.
I am having a problem connecting an infrared device.
I am having a problem with my keyboard.
I am having a problem with my mouse.
I am having a problem with my scanner.

Allow Automatic Sniffing?


E-mail Troubleshooter

What problem are you having?

I can't start Outlook Express, or I have a problem as soon as it starts.
I have a problem when I try to download my messages from the server.
I have a problem when I try to send e-mail.
My contacts are missing. Or, I have a problem with the Address Book.
I have a problem checking spelling.
Some of my messages seem to be missing.
Outlook Express starts very slowly.

Allow Automatic Sniffing?


Modem Troubleshooter

What problem are you having?

My communications programs, such as the Network Setup and New Connection Wizards, are not working correctly.
I have problems using my modem to connect to the Internet.
Windows does not detect my modem.

I want the troubleshooter to investigate settings on this computer.


File and Printer Sharing Troubleshooter

What problem are you having?

I can't log on to my network.
I can't share files or printers.
I can't connect to a specific computer on the network.
I can't install a network adapter.
I need information about how to set up my network.
Other computers on the network can't connect to my computer.
I receive a message when I try to log on.
I want to use a shared folder that is on another computer, but the folder isn't listed in My Network Places.

I want the troubleshooter to investigate settings on this computer.


Printing Troubleshooter

What problem are you having?

I can't install a local printer.
My photo printout quality is poor.
My document doesn't print at all.
Some of the features that came with my printer don't work.
Printed text or graphics are incomplete.
Fonts are missing or don't look the same as they do on the screen.
Printing is unusually slow.
I can't print from an MS-DOS-based program or from the MS-DOS command line.
I receive a message that reads "The printer driver is not compatible with a policy enabled on your computer that blocks Windows NT 4.0 or Windows 2000 kernel-mode drivers."

I want the troubleshooter to investigate settings on this computer.


Safe Mode Troubleshooter

If this troubleshooter appeared automatically, Windows is running in safe mode.

  • If you got here unexpectedly, shut down your computer. If your computer does not power down, turn it off. Wait ten seconds, and then turn it back on. If Windows still starts in safe mode, this troubleshooter may be able to help. Click Next below to continue with this troubleshooter.

  • You can also use System Restore to restore your computer to the most recent configuration in which it started normally. To run System Restore, click Start, point to Programs, point to Accessories, point to System Tools, click System Restore, and then follow the instructions on your screen.

  • If you came to safe mode intentionally, you can use this troubleshooter to try to fix a problem, or you can click the close [X] button in the upper-right corner of the window to close this troubleshooter.

Important

  • This troubleshooter was designed to be used in Safe mode. If this troubleshooter is used in "standard mode", be advised that you might not be able to follow the steps exactly as written because of user interface differences.


System Setup Troubleshooter

What problem are you having?

I receive a message during Setup, and my computer stops responding.
I have problems setting up a dual-boot system on my computer.
Setup fails when my computer tries to copy files.
Setup fails after the first time it restarts my computer.

Allow Automatic Sniffing?


Safe Mode Troubleshooter

How did you end up in Safe mode?

I added new hardware, and my computer restarted in safe mode.
During or immediately following setup of Windows XP, my computer unexpectedly started in safe mode.
I added new software, and my computer restarted in safe mode.
Another troubleshooter instructed me to restart in safe mode.
I manually started safe mode for some other reason.
I do not know how I got into safe mode.

Allow Automatic Sniffing?


Sound Troubleshooter

What problem are you having?

I do not hear sound from my computer's speakers or headphones.
A sound appears to play, but I do not hear anything.
A sound plays, but then stops suddenly.
The sound skips or misses in some areas.
The sound is distorted or scratchy.
The computer stops responding when a sound plays.
The computer restarts when a sound plays.
I receive a sound-related error message.

Allow Automatic Sniffing?


Startup and Shutdown Troubleshooter

Important

  • Many procedures in this troubleshooter require you to restart your computer, which will close the troubleshooter. If possible, view this troubleshooter on another computer while you perform the steps on the computer you are troubleshooting.

    • To troubleshoot if no other computer is available

    1. When you encounter a procedure that requires you to restart your computer, right-click the page displayed on your screen, and then click Print.
    2. Follow the steps described in your printed copy of the procedure.
    3. After your computer restarts, reopen this troubleshooter and answer each question as you answered it initially. When you reach the same procedure again, answer the question at the bottom of the page, and then click Next.

What problem are you having?

When I start my computer, an error message appears.
My computer stops responding when I try to start Windows.
My computer stops responding when I try to shut down Windows.

Allow Automatic Sniffing?


USB Troubleshooter

What problem are you having?

I am having a problem with a universal serial bus (USB) device.

Allow Automatic Sniffing?